﻿<%@ page title="" language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Masters_FolderConfiguration, App_Web_gpg4wf5h" %>

<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <div class="content-header">
        <h1 style="background-image: url('../dist/img/shift-pattern.png'); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_Header" runat="server" Text="Folder Configuration"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="inr-ftr">
            <div class="row">
                <div class="col-sm-12">
                    <div class="pull-right">
                        <h6>
                            <span style="color: Red">|</span><span style="padding-left: 10px; padding-right: 10px">
                                <asp:Label ID="lblMandatoryFields" Visible="True" runat="server" Text="Mandatory"></asp:Label>
                                (0 No.)</span>
                        </h6>
                    </div>
                </div>
            </div>
        </div>
        <div class="emp-filter">
            <div class="form-horizontal">
                <div class="row form-group">
                    <div class="col-md-3">
                        <asp:Label ID="lblImportFilePath" runat="server" Text="Employee Master"></asp:Label>
                    </div>
                    <div class="col-md-9">
                        <asp:TextBox ID="txtempMaster" runat="server" CssClass="form-control"></asp:TextBox>
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-md-3">
                        <asp:Label ID="Label3" runat="server" Text="Approved Attendance"></asp:Label>
                    </div>
                    <div class="col-md-9">
                        <asp:TextBox ID="txtApprovedAttendance" runat="server" CssClass="form-control"></asp:TextBox>
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-md-3">
                        <asp:Label ID="Label6" runat="server" Text="Approved Absence"></asp:Label>
                    </div>
                    <div class="col-md-9">
                        <asp:TextBox ID="txtApprovedAbsence" runat="server" CssClass="form-control"></asp:TextBox>
                    </div>
                </div>
                <div class="row form-group">

                    <div class="col-md-3">
                        <asp:Label ID="Label4" runat="server" Text="Timecheck - Attendance Data"></asp:Label>
                    </div>
                    <div class="col-md-9">
                        <asp:TextBox ID="txtAttendancedata" runat="server" CssClass="form-control"></asp:TextBox>
                    </div>
                </div>
                <div class="row form-group">
                    <div class="col-md-12">
                        <div class="pull-right-button">
                            <asp:LinkButton ID="btn_Save" CssClass="btn save-btn fa-floppy-o"
                                OnClientClick="return validateControls();" OnClick="btn_Save_Click" Text="&nbsp;&nbsp;Save" runat="server" />
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="callout callout-info" style="margin-bottom: 0!important;">
                            <asp:Label ID="lblImportNote" runat="server" Text="Notes:"></asp:Label>
                        </div>
                        <br />
                        <ul>
                            <li>
                                <asp:Label ID="Label1" runat="server" Text="Copy and paste the folder path into corresponding field in above."></asp:Label>
                            </li>
                            <li>
                                <asp:Label ID="lblnotes1" runat="server" Text="The above specified folder(s) should contain only one CSV file for data pulling."></asp:Label></li>
                            <li>
                                <asp:Label ID="Label2" runat="server" Text="If any folder contain more than one CSV file, that case it will refer only latest file data and it will not read the remaining file datas for data pulling"></asp:Label></li>
                            <li>
                                <asp:Label ID="lblcon" runat="server" Text="For data pulling, we will refer only CSV file format"></asp:Label>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript">
        function validateControls() {
            debugger;
            var path1 = document.getElementById("ctl00_BodyContentPH_txtempMaster").value;
            var path2 = document.getElementById("ctl00_BodyContentPH_txtApprovedAttendance").value;
            var path3 = document.getElementById("ctl00_BodyContentPH_txtApprovedAbsence").value;
            var path4 = document.getElementById("ctl00_BodyContentPH_txtAttendancedata").value;
            if (path1 == "" && path2 == "" && path3 == "" && path4 == "") {
                alert("Please mention any one folder path for saving.")
                return false;
            }
            else {
                return confirm("Are you sure to save data!");
            }
        }
    </script>
</asp:Content>
