﻿<%@ page title="" language="C#" masterpagefile="~/MasterFile/TimeCheck.master" autoeventwireup="true" inherits="Dashboard_Samsung, App_Web_tkd1tjzi" %>

<%@ Register TagPrefix="dxGridview" Namespace="DevExpress.Web" Assembly="DevExpress.Web.v14.2" %>
<%@ Register Assembly="DevExpress.XtraCharts.v14.2.Web" Namespace="DevExpress.XtraCharts.Web"
    TagPrefix="devxCharts" %>
<%@ Register Assembly="DevExpress.XtraCharts.v14.2" Namespace="DevExpress.XtraCharts"
    TagPrefix="cc1" %>
<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="ajax" %>
<asp:Content ID="Content1" ContentPlaceHolderID="BodyContentPH" runat="Server">
    <%--<script src="plugins/jQuery/jQuery-2.1.4.min.js" type="text/javascript"></script>
    <script src="bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
    <script src="dist/js/app.min.js" type="text/javascript"></script>--%>
    <script src="plugins/bootstrap-wysihtml5/bootstrap3-wysihtml5.all.min.js" type="text/javascript"></script>
    <script src="plugins/moment.min.js" type="text/javascript"></script>
    <script src="plugins/daterangepicker/moment.js" type="text/javascript"></script>
    <script src="plugins/datepicker/bootstrap-datepicker.js"></script>
    <script type="text/javascript">
        //$(document).ready(function() {
        //    Sys.WebForms.PageRequestManager.getInstance().add_endRequest(EndRequestHandler);
        //    function EndRequestHandler(sender, args) {
        //        $('#ctl00_BodyContentPH_txtFromdate1').datetimepicker({ format: document.getElementById('ctl00_BodyContentPH_Hidden1').value });
        //    }
        //});
        $(function () {
            SetDatePicker();
        });
        //On UpdatePanel Refresh.
        var prm = Sys.WebForms.PageRequestManager.getInstance();
        if (prm != null) {
            prm.add_endRequest(function (sender, e) {
                if (sender._postBackSettings.panelsToUpdate != null) {
                    SetDatePicker();
                }
            });
        };
        function SetDatePicker() {
            $('#ctl00_BodyContentPH_txtFromdate1').datetimepicker({ format: document.getElementById('ctl00_BodyContentPH_Hidden1').value });
            $('#ctl00_BodyContentPH_txtFromdate2').datetimepicker({ format: document.getElementById('ctl00_BodyContentPH_Hidden1').value });
            $('#ctl00_BodyContentPH_txtFromdate3').datetimepicker({ format: document.getElementById('ctl00_BodyContentPH_Hidden1').value });
            $('#ctl00_BodyContentPH_txtFromdate4').datetimepicker({ format: document.getElementById('ctl00_BodyContentPH_Hidden1').value });
        }
    </script>
    <div class="content-header">
        <h1 style="background-image: url('../dist/img/dash.png'); background-repeat: no-repeat; padding-left: 35px">
            <asp:Label ID="lbl_LeaveType" runat="server" Text="Dashboard"></asp:Label>
        </h1>
        <asp:SiteMapPath ID="site" runat="server" CssClass="breadcrumb">
            <NodeStyle CssClass="active" />
        </asp:SiteMapPath>
    </div>
    <div class="content">
        <div class="form-horizontal">
            <div class="row" style="padding-bottom: 0px;">
                <div class="col-md-8">
                    <div class="emp-filter" style="padding-bottom: 0px;">
                        <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <div class="row form-group">
                                    <div class="col-md-12" style="padding-top: 0px; font: bold 16px arial; text-decoration: underline; text-align: center">
                                        <asp:Label Text="Daily Deviated Employees" runat="server"></asp:Label>
                                    </div>
                                </div>
                                <div class="row" style="display: none;">
                                    <div class="col-md-12">
                                        <asp:Label ID="lblNotesDeviation" Font-Size="10px" ForeColor="Red" runat="server" Text="*It will display previous day deviated Employee details"></asp:Label>
                                    </div>
                                </div>
                                <div class="row" style="padding-bottom: 10px;">
                                    <div class="col-md-1" style="padding-top: 6px; width: 70px;">
                                        <asp:Label Text="Date :" runat="server"></asp:Label>
                                    </div>
                                    <div class="col-md-3" style="padding-left: 0px;">
                                        <asp:TextBox onpaste="return true" ID="txtFromdate1" runat="server" CssClass="form-control"
                                            ValidationGroup="vgLeaveType"></asp:TextBox>
                                    </div>
                                    <div class="col-md-1" style="padding-top: 6px; width: 80px;">
                                        <asp:Label Text="Emp.ID :" runat="server"></asp:Label>
                                    </div>
                                    <div class="col-md-3" style="padding-left: 0px;">
                                        <asp:TextBox onpaste="return true" ID="txtEmployeeID_Daily" runat="server" CssClass="form-control"
                                            ValidationGroup="vgLeaveType"></asp:TextBox>
                                    </div>
                                    <div class="col-md-2" style="padding-left: 0px">
                                        <asp:LinkButton CssClass="btn src-btn fa-search" runat="server" ID="btnDailyDeviation" OnClick="btnDailyDeviation_Click"></asp:LinkButton>
                                        <asp:LinkButton CssClass="btn del-btn fa-file-excel-o" runat="server" ID="btnDailyDeviationExport" OnClick="btnDailyDeviationExport_Click"></asp:LinkButton>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-4" style="padding-right: 0px; font-size: 12px">
                                        <asp:CheckBox ID="chkboxDaily" runat="server" Text="13 Hrs Exceed" Checked="true" CssClass="checkbox checkbox-primary" />
                                    </div>
                                    <div class="col-md-4" style="padding-right: 0px; font-size: 12px">
                                        <asp:CheckBox ID="chkboxPresent" runat="server" Text="7 Days Cont. Present" Checked="true" CssClass="checkbox checkbox-primary" />
                                    </div>
                                    <div class="col-md-4" style="padding-right: 0px; font-size: 12px">
                                        <asp:CheckBox ID="chkboxWeekly" runat="server" Text="Weekly 60 Hrs Exceed" Checked="true" CssClass="checkbox checkbox-primary" />
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-4" style="padding-right: 0px; font-size: 12px">
                                        <asp:CheckBox ID="chkboxQuarterly" runat="server" Text="Quart. 75 OT Hrs Exceed" Checked="true" CssClass="checkbox checkbox-primary" />
                                    </div>
                                    <div class="col-md-4">
                                        <asp:CheckBox ID="chkboxAbsent" runat="server" Text="7 Days Cont. Absent" Checked="true" CssClass="checkbox checkbox-primary" />
                                    </div>
                                    <div class="col-md-4">
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <devxCharts:WebChartControl ID="devBarChart_DailyDeviation" runat="server" ClientInstanceName="chart"
                                            EnableClientSidePointToDiagram="True" Height="220px" Width="680px">
                                            <backimage stretch="True" />
                                            <borderoptions visible="false" />
                                        </devxCharts:WebChartControl>
                                    </div>
                                </div>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID="btnDailyDeviation" EventName="Click" />
                                <asp:AsyncPostBackTrigger ControlID="btnDailyDeviationExport" EventName="Click" />
                            </Triggers>
                        </asp:UpdatePanel>
                    </div>
                </div>
                <div class="col-md-4">
                    <div class="border-table new-space" style="margin-top: 0px; height: 368px;">
                        <asp:UpdatePanel ID="UpdatePanel2" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <div class="row form-group">
                                    <div class="col-md-12" style="padding-top: 0px; font: bold 16px arial; text-decoration: underline; text-align: center">
                                        <asp:Label Text="Today Blocked & Active Employees" runat="server"></asp:Label>
                                    </div>
                                </div>
                                <div class="row" style="padding-bottom: 5px;">
                                    <div class="col-md-3" style="padding-top: 6px;">
                                        <asp:Label Text="Date :" runat="server"></asp:Label>
                                    </div>
                                    <div class="col-md-9">
                                        <asp:TextBox onpaste="return true" ID="txtFromdate2" runat="server" CssClass="form-control"></asp:TextBox>
                                    </div>
                                </div>
                                <div class="row" style="padding-bottom: 5px;">
                                    <div class="col-md-3">
                                        <asp:Label Text="Emp. ID :" runat="server"></asp:Label>
                                    </div>
                                    <div class="col-md-5">
                                        <asp:TextBox onpaste="return true" ID="txtEmployeeID_Blocked" runat="server" CssClass="form-control"></asp:TextBox>
                                    </div>
                                    <div class="col-md-4" style="padding-left: 0px">
                                        <asp:LinkButton CssClass="btn src-btn fa-search" runat="server" ID="btnBlockedsearch" OnClick="btnBlockedsearch_Click"></asp:LinkButton>
                                        <asp:LinkButton CssClass="btn del-btn fa-file-excel-o" runat="server" ID="btnBlockedExport" OnClick="btnBlockedExport_Click"></asp:LinkButton>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <asp:GridView ID="grdBlockedEmployees" runat="server" AutoGenerateColumns="false" CssClass="table das-table1"
                                        Width="100%">
                                        <Columns>
                                            <asp:TemplateField HeaderStyle-CssClass="head1 to-emp1 pad-lft HeaderWidth" ItemStyle-CssClass="to-emp1 pad-lft"
                                                ItemStyle-VerticalAlign="top" ItemStyle-Width="150" HeaderStyle-Width="100">
                                                <HeaderTemplate>
                                                    <asp:Label ID="lblHeaderName" Text="Policy" runat="server"></asp:Label>
                                                </HeaderTemplate>
                                                <ItemTemplate>
                                                    <asp:ImageButton ID="imgtips" runat="server" Visible="false" Enabled="false" Style="vertical-align: middle; padding-right: 10px" />
                                                    <asp:Label ID="lbltopic" runat="server" Text='<%#Eval("Reason") %>'></asp:Label>
                                                </ItemTemplate>
                                            </asp:TemplateField>
                                            <asp:TemplateField HeaderStyle-CssClass="head1 count1" ItemStyle-CssClass="pre1"
                                                ItemStyle-HorizontalAlign="Center" ItemStyle-Width="10" HeaderStyle-Width="10">
                                                <HeaderTemplate>
                                                    <asp:Label ID="lblHeadCount" Text="Count" runat="server"></asp:Label>
                                                </HeaderTemplate>
                                                <ItemTemplate>
                                                    <asp:LinkButton ID="lblCount" runat="server" Text='<%#Eval("TotalEmployee") %>'
                                                        ForeColor="black" OnClientClick="return DateEntryValidation();"> </asp:LinkButton>
                                                </ItemTemplate>
                                            </asp:TemplateField>
                                            <asp:TemplateField ItemStyle-HorizontalAlign="Center" HeaderText="%" HeaderStyle-CssClass="head1 pre1"
                                                ItemStyle-CssClass="pre1" ItemStyle-Width="10" HeaderStyle-Width="10" Visible="false">
                                                <ItemTemplate>
                                                    <asp:Label ID="lnkpercent" runat="server" Text='<%#Eval("Percentage") %>' ForeColor="black"> </asp:Label>
                                                </ItemTemplate>
                                            </asp:TemplateField>
                                            <asp:TemplateField ItemStyle-HorizontalAlign="Center" HeaderStyle-CssClass="head1 excel1"
                                                ItemStyle-CssClass="excel1" ItemStyle-Width="10" Visible="false">
                                                <ItemTemplate>
                                                    <asp:ImageButton ID="btnImagExcel" runat="server" ImageUrl="~/dist/img/excel-icon.jpg"
                                                        ToolTip="Export to Excel"
                                                        data-toggle="tooltip" data-placement="top" OnClientClick="return DateEntryValidation();" />
                                                </ItemTemplate>
                                            </asp:TemplateField>
                                        </Columns>
                                    </asp:GridView>
                                </div>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID="btnBlockedsearch" EventName="Click" />
                                <asp:AsyncPostBackTrigger ControlID="btnBlockedExport" EventName="Click" />
                            </Triggers>
                        </asp:UpdatePanel>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="border-table new-space" style="margin-top: 2px;">
                        <asp:UpdatePanel ID="UpdatePanel3" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <div class="row form-group">
                                    <div class="col-md-12" style="padding-top: 0px; font: bold 16px arial; text-decoration: underline; text-align: center">
                                        <asp:Label Text="Weekly Deviated Employees" runat="server"></asp:Label>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-1" style="padding-top: 6px;width:64px;">
                                        <asp:Label Text="Date :" runat="server"></asp:Label>
                                    </div>
                                    <div class="col-md-2">
                                        <asp:TextBox onpaste="return true" ID="txtFromdate3" runat="server" CssClass="form-control"></asp:TextBox>
                                    </div>
                                    <div class="col-md-1" style="padding-top: 6px;width:79px;">
                                        <asp:Label Text="Emp.ID :" runat="server"></asp:Label>
                                    </div>
                                    <div class="col-md-2">
                                        <asp:TextBox onpaste="return true" ID="txtEmployeeID_Weekly" runat="server" CssClass="form-control"></asp:TextBox>
                                        <asp:TextBox onpaste="return true" Visible="false" ID="txtFromdate4" Enabled="false" runat="server" CssClass="form-control"></asp:TextBox>
                                    </div>
                                    <div class="col-md-2" style="padding-left: 0px">
                                        <asp:LinkButton ID="btnWeekSearch" OnClick="btnWeekSearch_Click" CssClass="btn src-btn fa-search" runat="server"></asp:LinkButton>
                                        <asp:LinkButton ID="btnWeekExport" OnClick="btnWeekExport_Click" CssClass="btn del-btn fa-file-excel-o" runat="server"></asp:LinkButton>
                                    </div>
                                    <div class="col-md-4">
                                        <asp:HiddenField ID="Hidden1" runat="server" />
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-6" style="text-align: center; font: bold 12px arial;">
                                        <asp:CheckBox Style="text-align: center; font: bold 12px arial;" ID="chkbox_Weekly_Daily" runat="server" Text="Daily 13 Hrs Exceed" Checked="true" CssClass="checkbox checkbox-primary" />
                                    </div>
                                    <div class="col-md-6" style="text-align: center; font: bold 12px arial;">
                                        <asp:CheckBox Style="text-align: center; font: bold 12px arial;" ID="chkbox_Weekly_Present" runat="server" Text="7 Days continuous Present" Checked="true" CssClass="checkbox checkbox-primary" />
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-6">
                                        <devxCharts:WebChartControl ID="devxBarChar_Weekly_DailyDeviation" runat="server" ClientInstanceName="chart"
                                            CrosshairEnabled="True" EnableClientSidePointToDiagram="True" Height="200px" Width="475px" Titles="Daily 13 Hrs Exceeed">
                                            <backimage stretch="True" />
                                            <borderoptions visible="false" />
                                            <seriestemplate>
                                                <LabelSerializable>
                                                </LabelSerializable>
                                            </seriestemplate>
                                        </devxCharts:WebChartControl>
                                    </div>
                                    <div class="col-md-6">
                                        <devxCharts:WebChartControl ID="devxBarChar_Weekly_Present" runat="server" ClientInstanceName="chart"
                                            EnableClientSidePointToDiagram="True" Height="200px" Width="475px">
                                            <backimage stretch="True" />
                                            <borderoptions visible="false" />
                                            <seriestemplate argumentdatamember="Date" valuedatamembersserializable="ValueCount" labelsvisibility="false">
                                        <LabelSerializable>
                                        </LabelSerializable>
                                    </seriestemplate>
                                        </devxCharts:WebChartControl>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-6" style="text-align: center; font: bold 12px arial;">
                                        <asp:CheckBox Style="text-align: center; font: bold 12px arial;" ID="chkbox_Weekly_Absent" runat="server" Text="7 Days continuous Absent" Checked="true" CssClass="checkbox checkbox-primary" />
                                    </div>
                                    <div class="col-md-6" style="text-align: center; font: bold 12px arial;">
                                        <asp:CheckBox Style="text-align: center; font: bold 12px arial;" ID="chkbox_Weekly_Weekly" runat="server" Text="Weekly 60 Hrs Exceed" Checked="true" CssClass="checkbox checkbox-primary" />
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <devxCharts:WebChartControl ID="devxBarChar_Weekly_Absent" runat="server" ClientInstanceName="chart"
                                            EnableClientSidePointToDiagram="True" Height="200px" Width="450px">
                                            <backimage stretch="True" />
                                            <borderoptions visible="false" />
                                            <seriestemplate argumentdatamember="Date" valuedatamembersserializable="ValueCount" labelsvisibility="false">
                                                <LabelSerializable>
                                                    <cc1:SideBySideBarSeriesLabel TextPattern="${V:F2}">
                                                    </cc1:SideBySideBarSeriesLabel>
                                                </LabelSerializable>
                                            </seriestemplate>
                                        </devxCharts:WebChartControl>
                                    </div>
                                    <div class="col-md-6">
                                        <devxCharts:WebChartControl ID="devxBarChar_Weekly_Weekly" runat="server" ClientInstanceName="chart"
                                            EnableClientSidePointToDiagram="True" Height="200px" Width="450px">
                                            <backimage stretch="True" />
                                            <borderoptions visible="false" />
                                            <seriestemplate argumentdatamember="Date" valuedatamembersserializable="ValueCount" labelsvisibility="false">
                                                <LabelSerializable>
                                                    <cc1:SideBySideBarSeriesLabel TextPattern="${V:F2}">
                                                    </cc1:SideBySideBarSeriesLabel>
                                                </LabelSerializable>
                                            </seriestemplate>
                                        </devxCharts:WebChartControl>
                                    </div>
                                </div>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID="btnWeekSearch" EventName="Click" />
                                <asp:AsyncPostBackTrigger ControlID="btnWeekExport" EventName="Click" />
                            </Triggers>
                        </asp:UpdatePanel>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="border-table new-space" style="margin-top: 0px">
                        <asp:UpdatePanel ID="UpdatePanel4" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <div class="row form-group">
                                    <div class="col-md-12" style="padding-top: 0px; font: bold 16px arial; text-decoration: underline; text-align: center">
                                        <asp:Label Text="Monthly Deviated Employees" runat="server"></asp:Label>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-1" style="padding-top: 6px;width:70px;">
                                        <asp:Label Text="Year :" runat="server"></asp:Label>
                                    </div>
                                    <div class="col-md-2">
                                        <asp:TextBox onpaste="return true" ID="TextBox1" runat="server" CssClass="form-control"
                                            ValidationGroup="vgLeaveType" Visible="false"></asp:TextBox>
                                        <asp:DropDownList ID="ddlStartYear" runat="server" CssClass="form-control select2">
                                        </asp:DropDownList>
                                    </div>
                                    <div class="col-md-1" style="padding-top: 6px;">
                                        <asp:Label Text="Emp.ID :" runat="server"></asp:Label>
                                    </div>
                                    <div class="col-md-2">
                                        <asp:TextBox onpaste="return true" ID="txtEmployeeID_Monthly" runat="server" CssClass="form-control"></asp:TextBox>
                                        <asp:TextBox onpaste="return true" Visible="false" ID="TextBox2" Enabled="false" runat="server" CssClass="form-control"></asp:TextBox>
                                    </div>
                                    <div class="col-md-2" style="padding-left: 0px">
                                        <asp:LinkButton ID="btnMonthSearch" OnClick="btnMonthSearch_Click" CssClass="btn src-btn fa-search" runat="server"></asp:LinkButton>
                                        <asp:LinkButton ID="btnMonthExport" OnClick="btnMonthExport_Click" CssClass="btn del-btn fa-file-excel-o" runat="server"></asp:LinkButton>
                                    </div>
                                    <div class="col-md-6">
                                        <asp:HiddenField ID="HiddenField1" runat="server" />
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-6" style="text-align: center; font: bold 12px arial;">
                                        <asp:CheckBox Style="text-align: center; font: bold 12px arial;" ID="chkboxMonth_Daily" runat="server" Text="Daily 13 Hrs Exceed" Checked="true" CssClass="checkbox checkbox-primary" />
                                    </div>
                                    <div class="col-md-6" style="text-align: center; font: bold 12px arial;">
                                        <asp:CheckBox Style="text-align: center; font: bold 12px arial;" ID="chkboxMonth_Present" runat="server" Text="7 Days continuous Present" Checked="true" CssClass="checkbox checkbox-primary" />
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-6">
                                        <devxCharts:WebChartControl ID="devxChar_Monthly_DailyDeviation" runat="server" ClientInstanceName="chart"
                                            EnableClientSidePointToDiagram="True" Height="200px" Width="500px" Titles="Daily 13 Hrs Exceeed">
                                            <backimage stretch="True" />
                                            <borderoptions visible="false" />
                                            <seriestemplate>
                                        <LabelSerializable>
                                            <cc1:SideBySideBarSeriesLabel TextPattern="${V:F2}">
                                            </cc1:SideBySideBarSeriesLabel>
                                        </LabelSerializable>
                                    </seriestemplate>
                                        </devxCharts:WebChartControl>
                                    </div>
                                    <div class="col-md-6">
                                        <devxCharts:WebChartControl ID="devxChart_Monthly_Present" runat="server" ClientInstanceName="chart"
                                            EnableClientSidePointToDiagram="True" Height="200px" Width="500px" Titles="Daily 13 Hrs Exceeed">
                                            <backimage stretch="True" />
                                            <borderoptions visible="false" />
                                            <seriestemplate>
                                        <LabelSerializable>
                                            <cc1:SideBySideBarSeriesLabel TextPattern="${V:F2}">
                                            </cc1:SideBySideBarSeriesLabel>
                                        </LabelSerializable>
                                    </seriestemplate>
                                        </devxCharts:WebChartControl>
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-6" style="text-align: center; font: bold 12px arial;">
                                        <asp:CheckBox Style="text-align: center; font: bold 12px arial;" ID="chkboxMonth_Absent" runat="server" Text="7 Days continuous Absent" Checked="true" CssClass="checkbox checkbox-primary" />
                                    </div>
                                    <div class="col-md-6" style="text-align: center; font: bold 12px arial;">
                                        <asp:CheckBox Style="text-align: center; font: bold 12px arial;" ID="chkboxMonth_Weekly" runat="server" Text="Weekly 65 Hrs Exceeed" Checked="true" CssClass="checkbox checkbox-primary" />
                                    </div>
                                </div>
                                <div class="row form-group">
                                    <div class="col-md-6">
                                        <devxCharts:WebChartControl ID="devxChart_Monthly_Absent" runat="server" ClientInstanceName="chart"
                                            EnableClientSidePointToDiagram="True" Height="200px" Width="500px" Titles="Daily 13 Hrs Exceeed">
                                            <backimage stretch="True" />
                                            <borderoptions visible="false" />
                                            <seriestemplate>
                                        <LabelSerializable>
                                            <cc1:SideBySideBarSeriesLabel TextPattern="${V:F2}">
                                            </cc1:SideBySideBarSeriesLabel>
                                        </LabelSerializable>
                                    </seriestemplate>
                                        </devxCharts:WebChartControl>
                                    </div>
                                    <div class="col-md-6">
                                        <devxCharts:WebChartControl ID="devxChart_Monthly_Weekly" runat="server" ClientInstanceName="chart"
                                            EnableClientSidePointToDiagram="True" Height="200px" Width="500px" Titles="Daily 13 Hrs Exceeed">
                                            <backimage stretch="True" />
                                            <borderoptions visible="false" />
                                            <seriestemplate>
                                                <LabelSerializable>
                                                    <cc1:SideBySideBarSeriesLabel TextPattern="${V:F2}">
                                                    </cc1:SideBySideBarSeriesLabel>
                                                </LabelSerializable>
                                            </seriestemplate>
                                        </devxCharts:WebChartControl>
                                    </div>
                                </div>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID="btnMonthSearch" EventName="Click" />
                                <asp:AsyncPostBackTrigger ControlID="btnMonthExport" EventName="Click" />
                            </Triggers>
                        </asp:UpdatePanel>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="border-table new-space" style="margin-top: 0px">
                        <asp:UpdatePanel ID="UpdatePanel5" runat="server" UpdateMode="Conditional">
                            <ContentTemplate>
                                <div class="row form-group">
                                    <div class="col-md-6" style="padding-top: 0px; font: bold 16px arial; text-decoration: underline; text-align: center">
                                        <asp:Label Text="Quarterly 75 Hrs OT Deviated Employees" runat="server"></asp:Label>
                                    </div>
                                    <div class="col-md-6" style="padding-top: 0px; font: bold 16px arial; text-decoration: underline; text-align: center">
                                        <asp:Label Text="Today Expected Deviation" runat="server"></asp:Label>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6" style="padding-top: 6px; text-align: center">
                                        <asp:Label Text="Total Emloyees :" runat="server"></asp:Label>
                                        <asp:Label Text="0" ID="QuarterValue" runat="server" Font-Bold="true" Font-Size="12px"></asp:Label>
                                        <asp:LinkButton ID="btnQuarterExport" OnClick="btnQuarterExport_Click" CssClass="btn del-btn fa-file-excel-o" runat="server"></asp:LinkButton>
                                    </div>
                                    <div class="col-md-6" style="padding-top: 6px; text-align: center">
                                        <asp:Label Text="Total Emloyees :" runat="server"></asp:Label>
                                        <asp:Label Text="0" ID="ExpectedValue" runat="server" Font-Bold="true" Font-Size="12px"></asp:Label>
                                        <asp:LinkButton ID="btnExpectedExport" OnClick="btnExpectedExport_Click" CssClass="btn del-btn fa-file-excel-o" runat="server"></asp:LinkButton>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-6">
                                        <devxCharts:WebChartControl ID="devChart_Quarterly" runat="server" ClientInstanceName="chart"
                                            EnableClientSidePointToDiagram="True" Height="200px" Width="500px" Titles="Daily 13 Hrs Exceeed">
                                            <backimage stretch="True" />
                                            <borderoptions visible="false" />
                                            <seriestemplate>
                                        <LabelSerializable>
                                            <cc1:SideBySideBarSeriesLabel TextPattern="${V:F2}">
                                            </cc1:SideBySideBarSeriesLabel>
                                        </LabelSerializable>
                                    </seriestemplate>
                                        </devxCharts:WebChartControl>
                                    </div>
                                    <div class="col-md-6">
                                        <devxCharts:WebChartControl ID="devxChart_Expected" runat="server" ClientInstanceName="chart"
                                            EnableClientSidePointToDiagram="True" Height="200px" Width="500px" Titles="Daily 13 Hrs Exceeed">
                                            <backimage stretch="True" />
                                            <borderoptions visible="false" />
                                            <seriestemplate>
                                        <LabelSerializable>
                                            <cc1:SideBySideBarSeriesLabel TextPattern="${V:F2}">
                                            </cc1:SideBySideBarSeriesLabel>
                                        </LabelSerializable>
                                    </seriestemplate>
                                        </devxCharts:WebChartControl>
                                    </div>
                                </div>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID="btnQuarterExport" EventName="Click" />
                                <asp:AsyncPostBackTrigger ControlID="btnExpectedExport" EventName="Click" />
                            </Triggers>
                        </asp:UpdatePanel>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript">
        $(function () {
            //$('#ctl00_BodyContentPH_txtFromdate1').datetimepicker({ format: document.getElementById('ctl00_BodyContentPH_Hidden1').value });
        });
    </script>
</asp:Content>
